> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getreditus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Commissions

> Retrieve a paginated list of commissions



## OpenAPI

````yaml GET /v1/commissions
openapi: 3.1.0
info:
  title: Reditus API - Commissions
  description: API specification for managing commissions in Reditus affiliate programs.
  version: 1.0.0
servers:
  - url: https://api.getreditus.com/api
security: []
paths:
  /v1/commissions:
    get:
      summary: List Commissions
      description: Retrieve a paginated list of commissions
      parameters:
        - name: state_eq
          in: query
          schema:
            type: string
            description: Filter by state (pending, rejected, paid)
        - name: partner_id_eq
          in: query
          schema:
            type: string
            description: Filter by partner ID
        - name: created_at_lt
          in: query
          schema:
            type: string
            description: Created before (e.g. "2022-12-24%2012:47:45%20+0200")
        - name: created_at_gt
          in: query
          schema:
            type: string
            description: Created after (e.g. "2021-11-23%2012:47:45%20+0200")
        - name: state_set_at_lt
          in: query
          schema:
            type: string
            description: State set at before (e.g. "2022-12-24%2012:47:45%20+0200")
        - name: state_set_at_gt
          in: query
          schema:
            type: string
            description: State set at after (e.g. "2021-12-24%2012:47:45%20+0200")
        - name: page
          in: query
          schema:
            type: integer
            description: Page number
        - name: per_page
          in: query
          schema:
            type: integer
            maximum: 50
            description: Records to be displayed per page
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommissionListResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    CommissionListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Commission'
        meta:
          type: object
          properties:
            pagination:
              type: object
              properties:
                page:
                  type: integer
                per_page:
                  type: integer
                has_more:
                  type: boolean
    Commission:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        attributes:
          type: object
          properties:
            state:
              type: string
              description: 'Commission state: pending, rejected or paid'
            amount:
              type: integer
              description: Commission amount, in cents
            currency:
              type: string
              description: Three-letter ISO currency code of the amount
            partner_id:
              type: string
              description: ID of the partner the commission belongs to
            referral_id:
              type: string
              description: ID of the referral the commission originates from, if any
            reject_reason:
              type: string
              description: >-
                Reason the commission was rejected. Only present when state is
                rejected
            state_set_at:
              type: integer
            paid_at:
              type: integer
              description: Timestamp the commission was paid at, if paid
            created_at:
              type: integer
            updated_at:
              type: integer
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````